org.apache.maven.shared.osgi

## Class ManifestReadingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.maven.shared.osgi.ManifestReadingException

- All Implemented Interfaces:
    Serializable

      public class ManifestReadingException
      extends RuntimeException

  Exception while reading the manifest. Encapsulates an IOException to make it runtime
  Version:
    $Id: ManifestReadingException.java 661727 2008-05-30 14:21:49Z bentmann $
  Author:
    Carlos Sanchez
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManifestReadingException()`
    `ManifestReadingException(String message)`
    `ManifestReadingException(String message, Throwable cause)`
    `ManifestReadingException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestReadingException

          public ManifestReadingException()

    - #### ManifestReadingException

          public ManifestReadingException(String message,
                                  Throwable cause)

    - #### ManifestReadingException

          public ManifestReadingException(String message)

    - #### ManifestReadingException

          public ManifestReadingException(Throwable cause)

Copyright © 2015. All rights reserved.